ur_rna.StructureEditor.services.drawing.export

## Class PageSize

- java.lang.Object
- - java.awt.geom.Dimension2D
  - - ur_rna.StructureEditor.services.drawing.export.PageSize

- All Implemented Interfaces:
    java.lang.Cloneable

      public class PageSize
      extends java.awt.geom.Dimension2D

  Represents the dimensions of a fixed-size page (e.g. for SVG or PS etc)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PageSize` | `A0`
    `static PageSize` | `A1`
    `static PageSize` | `A2`
    `static PageSize` | `A3`
    `static PageSize` | `A4`
    `static PageSize` | `A5`
    `static PageSize` | `A6`
    `double` | `height` Height of the page in mm
    `static PageSize` | `LEDGER`
    `static PageSize` | `LEGAL`
    `static PageSize` | `LETTER`
    `static double` | `MM_PER_INCH`
    `static PageSize` | `TABLOID`
    `double` | `width` Width of the page in mm

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PageSize(java.awt.geom.Dimension2D size)`
    `PageSize(double width, double height)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getHeight()`
    `PageSize` | `getLandscape()`
    `PageSize` | `getPortrait()`
    `double` | `getWidth()`
    `void` | `setSize(double width, double height)`

    - ### Methods inherited from class java.awt.geom.Dimension2D

      `clone, setSize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### A0

          public static final PageSize A0

    - #### A1

          public static final PageSize A1

    - #### A2

          public static final PageSize A2

    - #### A3

          public static final PageSize A3

    - #### A4

          public static final PageSize A4

    - #### A5

          public static final PageSize A5

    - #### A6

          public static final PageSize A6

    - #### height

          public final double height

      Height of the page in mm

    - #### LEDGER

          public static final PageSize LEDGER

    - #### LEGAL

          public static final PageSize LEGAL

    - #### LETTER

          public static final PageSize LETTER

    - #### MM_PER_INCH

          public static final double MM_PER_INCH

      See Also:
        Constant Field Values

    - #### TABLOID

          public static final PageSize TABLOID

    - #### width

          public final double width

      Width of the page in mm

  - ### Constructor Detail

    - #### PageSize

          public PageSize(java.awt.geom.Dimension2D size)

    - #### PageSize

          public PageSize(double width,
                          double height)

  - ### Method Detail

    - #### getHeight

          public double getHeight()

      Specified by:
        `getHeight` in class `java.awt.geom.Dimension2D`

    - #### getLandscape

          public PageSize getLandscape()

    - #### getPortrait

          public PageSize getPortrait()

    - #### getWidth

          public double getWidth()

      Specified by:
        `getWidth` in class `java.awt.geom.Dimension2D`

    - #### setSize

          public void setSize(double width,
                              double height)

      Specified by:
        `setSize` in class `java.awt.geom.Dimension2D`